Channel Copy
Image Copy Operations

The channel copy primitives copy a single color channel from a multi-channel source image to any other color channel in a multi-channel destination image. More...

## Functions

NppStatus | nppiCopy_8u_C3CR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 8-bit unsigned image copy for three-channel images. More...
NppStatus | nppiCopy_8u_C3CR (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8u_C4CR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 8-bit unsigned image copy for four-channel images. More...
NppStatus | nppiCopy_8u_C4CR (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_C3CR_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 16-bit signed image copy for three-channel images. More...
NppStatus | nppiCopy_16s_C3CR (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_C4CR_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 16-bit signed image copy for four-channel images. More...
NppStatus | nppiCopy_16s_C4CR (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_C3CR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 16-bit unsigned image copy for three-channel images. More...
NppStatus | nppiCopy_16u_C3CR (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_C4CR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 16-bit unsigned image copy for four-channel images. More...
NppStatus | nppiCopy_16u_C4CR (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_C3CR_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 32-bit signed image copy for three-channel images. More...
NppStatus | nppiCopy_32s_C3CR (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_C4CR_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 32-bit signed image copy for four-channel images. More...
NppStatus | nppiCopy_32s_C4CR (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C3CR_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 32-bit float image copy for three-channel images. More...
NppStatus | nppiCopy_32f_C3CR (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C4CR_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Selected channel 32-bit float image copy for four-channel images. More...
NppStatus | nppiCopy_32f_C4CR (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

The channel copy primitives copy a single color channel from a multi-channel source image to any other color channel in a multi-channel destination image.

The channel is selected by adjusting the respective image pointers to point to the desired color channel (see Channel-of-Interest API).

### Common parameters for nppiCopy_CXC functions include:

Parameters

  pSrc | Select-Channel Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Select-Channel Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopy_16s_C3CR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_C3CR_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 16-bit signed image copy for three-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_16s_C4CR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_C4CR_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 16-bit signed image copy for four-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_16u_C3CR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_C3CR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 16-bit unsigned image copy for three-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_16u_C4CR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_C4CR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 16-bit unsigned image copy for four-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_32f_C3CR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C3CR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 32-bit float image copy for three-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_32f_C4CR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C4CR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 32-bit float image copy for four-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_32s_C3CR | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_C3CR_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 32-bit signed image copy for three-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_32s_C4CR | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_C4CR_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 32-bit signed image copy for four-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_8u_C3CR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_C3CR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 8-bit unsigned image copy for three-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

NppStatus nppiCopy_8u_C4CR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_C4CR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Selected channel 8-bit unsigned image copy for four-channel images.

For common parameter descriptions, see Common parameters for nppiCopy_CXC functions.

Copyright © 2009-2018 NVIDIA Corporation